'use strict';

/* eslint-env node, mocha */

const expect = require('chai').expect;
const baseResult = require('../../../lib/DevAPI/BaseResult');

describe('BaseResult', () => {
    context('getWarnings()', () => {
        it('returns the list of warnings generated by the server for a given operation', () => {
            const warnings = ['foo', 'bar'];

            expect(baseResult({ warnings }).getWarnings()).to.deep.equal(warnings);
        });
    });

    context('getWarningsCount()', () => {
        it('returns the number of warnings generated by the server for a given operation', () => {
            const warnings = ['foo', 'bar', 'baz'];

            expect(baseResult({ warnings }).getWarningsCount()).to.deep.equal(3);
        });
    });
});
